API-referentie
Deliverability
Bekijk events, reputatie-uitkomsten en geblokkeerde ontvangers.
Geen operaties gevonden voor dit filter.
GET
API-sleutel/deliverability/statsBezorgstatistieken over 30 dagen ophalen
Bezorgstatistieken over 30 dagen ophalen
curl https://sendhq.cc/api/v1/deliverability/stats \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"window": "30d",
"sent": 0,
"delivery": 0,
"bounce": 0,
"complaint": 0,
"deliveryRate": null
}GET
API-sleutel/deliverability/reputationReputatiestatus per exacte afzenderidentiteit opvragen
Reputatiestatus per exacte afzenderidentiteit opvragen
curl https://sendhq.cc/api/v1/deliverability/reputation \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [
{
"sender": "alerts@example.com",
"status": "active",
"dailyLimit": 2000,
"reason": null,
"cleanSince": "2026-09-01T00:00:00.000Z",
"warnedAt": null,
"pausedAt": null,
"evaluatedAt": "2026-09-07T00:00:00.000Z"
}
],
"count": 1
}GET
API-sleutel/suppressionsSuppressies van de workspace opvragen
Suppressies van de workspace opvragen
curl https://sendhq.cc/api/v1/suppressions \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [],
"count": 0
}DELETE
API-sleutel/suppressions/:emailEen bouncesuppressie verwijderen die daarvoor in aanmerking komt
Een bouncesuppressie verwijderen die daarvoor in aanmerking komt
curl https://sendhq.cc/api/v1/suppressions/email_value \
-X DELETE \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"ok": true
}GET
API-sleutel/blocked-recipientsBounces, klachten en afmeldingen opvragen
Bounces, klachten en afmeldingen opvragen
curl https://sendhq.cc/api/v1/blocked-recipients \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [],
"count": 0,
"summary": {
"total": 0,
"unsubscribe": 0,
"bounce": 0,
"complaint": 0
}
}